Edit translation memories
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}/transMemories \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"dataPerContext": [
{
"transMemories": [
{
"transMemory": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"applyPenaltyTo101Only": true,
"order": 123,
"penalty": 50,
"readMode": true,
"writeMode": true
}
],
"orderEnabled": true,
"targetLang": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}/transMemories"
payload = { "dataPerContext": [
{
"transMemories": [
{
"transMemory": { "uid": "3HYnHHLkTPJfMxBCDbPXFe" },
"applyPenaltyTo101Only": True,
"order": 123,
"penalty": 50,
"readMode": True,
"writeMode": True
}
],
"orderEnabled": True,
"targetLang": "<string>"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataPerContext: [
{
transMemories: [
{
transMemory: {uid: '3HYnHHLkTPJfMxBCDbPXFe'},
applyPenaltyTo101Only: true,
order: 123,
penalty: 50,
readMode: true,
writeMode: true
}
],
orderEnabled: true,
targetLang: '<string>'
}
]
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}/transMemories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transMemories": [
{
"applyPenaltyTo101Only": true,
"order": 123,
"penalty": 123,
"readMode": true,
"targetLocale": "<string>",
"transMemory": {
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"canEdit": true,
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"collaboratorsCount": 123,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"name": "<string>",
"note": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"relatedProjectsCount": 123,
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
},
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
},
"writeMode": true
}
]
}Project Template
Edit translation memories
If user wants to edit “All target languages” or “All workflow steps”, but there are already varied TM settings for individual languages or steps, then the user risks to overwrite these individual choices.
PUT
/
api2
/
v2
/
projectTemplates
/
{projectTemplateUid}
/
transMemories
Edit translation memories
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project template UID
Body
application/json
Translation memory assignments
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I